Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2800603002: MD WebUI: Pull 'X selected' toolbar overlay from History into shared element (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by tsergeant
Modified:
2 months, 1 week ago
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, dbeam+watch-elements_chromium.org, arv+watch_chromium.org, Patrick Dubroy, michaelpg+watch-md-ui_chromium.org, dbeam+watch-history_chromium.org, pam+watch_chromium.org, jlklein+watch-closure_chromium.org, oshima+watch_chromium.org, vitalyp+closure_chromium.org, michaelpg+watch-elements_chromium.org, stevenjb+watch-md-settings_chromium.org, dbeam+watch-closure_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

MD WebUI: Pull 'X selected' toolbar overlay from History into shared element The overlay is designed for use with cr-toolbar, providing an overlay with the number of items selected, and a 'cancel' and 'delete' button. This new shared element will be used by MD Bookmarks. BUG=692827 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2800603002 Cr-Commit-Position: refs/heads/master@{#463530} Committed: https://chromium.googlesource.com/chromium/src/+/32875f8b059b68f17b1766f3df508c56b22911c4

Patch Set 1 #

Patch Set 2 : Tweak/simplify CSS #

Patch Set 3 : Add default for margin var #

Patch Set 4 : Tweak CSS again #

Total comments: 5

Patch Set 5 : dbeam review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+162 lines, -108 lines) Patch
M chrome/browser/resources/md_history/compiled_resources2.gyp View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/md_history/history_toolbar.html View 1 2 3 4 2 chunks +44 lines, -91 lines 0 comments Download
M chrome/browser/resources/md_history/history_toolbar.js View 1 2 3 4 2 chunks +8 lines, -10 lines 0 comments Download
M chrome/browser/resources/md_history/lazy_load.html View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/data/webui/md_history/history_list_test.js View 1 2 3 4 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/test/data/webui/md_history/history_metrics_test.js View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/test/data/webui/md_history/history_supervised_user_test.js View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ui/webui/resources/cr_elements/cr_toolbar/compiled_resources2.gyp View 1 chunk +4 lines, -0 lines 0 comments Download
A ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html View 1 2 3 4 1 chunk +60 lines, -0 lines 0 comments Download
A ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.js View 1 1 chunk +31 lines, -0 lines 0 comments Download
M ui/webui/resources/cr_elements_resources.grdp View 1 chunk +6 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 31 (24 generated)
tsergeant
PTAL. This is mostly just pulling the code straight out to a shared element, with ...
2 months, 2 weeks ago (2017-04-07 04:41:46 UTC) #4
Dan Beam (no longer on Chrome)
I'll look at this Monday my time, btw (sorry for lag)
2 months, 2 weeks ago (2017-04-10 05:35:35 UTC) #15
Dan Beam (no longer on Chrome)
https://codereview.chromium.org/2800603002/diff/80001/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html File ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html (right): https://codereview.chromium.org/2800603002/diff/80001/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html#newcode44 ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html:44: <div id="overlay-buttons"> nit: many of these IDs have presentational ...
2 months, 1 week ago (2017-04-11 00:39:01 UTC) #16
tsergeant
Thanks for reviewing! https://codereview.chromium.org/2800603002/diff/80001/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html File ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html (right): https://codereview.chromium.org/2800603002/diff/80001/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html#newcode44 ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_selection_overlay.html:44: <div id="overlay-buttons"> On 2017/04/11 00:39:01, Dan ...
2 months, 1 week ago (2017-04-11 01:16:20 UTC) #17
Dan Beam (no longer on Chrome)
lgtm
2 months, 1 week ago (2017-04-11 03:48:48 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2800603002/100001
2 months, 1 week ago (2017-04-11 03:59:31 UTC) #28
commit-bot: I haz the power
2 months, 1 week ago (2017-04-11 04:16:04 UTC) #31
Message was sent while issue was closed.
Committed patchset #5 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/32875f8b059b68f17b1766f3df50...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318